# $Revision: 1.3 $, $Date: 2004/08/26 06:05:45 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	HTML
%define	pnam	TagReader
Summary:	HTML::TagReader - reading HTML/SGML/XML files by tags
Summary(pl):	HTML::TagReader - czytanie plikw HTML/SGML/XML po znaczniku
Name:		perl-HTML-TagReader
Version:	1.08
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	6fca19c0ac776f1c3894e3f64be3b2d0
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
# for tr_imgaddsize
Requires:	perl-Image-Size >= 2.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The module implements a fast and small object oriented way of
processing any kind of HTML/SGML/XML files by tag.

The getbytoken(0) is similar to while(<>) but instead of reading lines
it reads tags or tags and text.

HTML::TagReader makes it easy to keep track of the line number in a
file even though you are not reading the file by line. This important
if you want to implement error messages about HTML errors in your
code.

%description -l pl
Ten modu implementuje szybk, obiektowo zorientowan metod
przetwarzania dowolnego rodzaju plikw HTML/SGML/XML po znaczniku.

getbytoken(0) jest podobne do while(<>), ale zamiast czytania linii
czyta znaczniki lub znaczniki i tekst.

HTML::TagReader umoliwia atwe ledzenie numeru linii w pliku nawet
jeli nie jest on czytany po linii. Jest to wane przy implementowaniu
komunikatw bdw dotyczcych HTML-a.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make} \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%attr(755,root,root) %{_bindir}/tr_*
%{perl_vendorarch}/HTML/TagReader.pm
%dir %{perl_vendorarch}/auto/HTML/TagReader
%{perl_vendorarch}/auto/HTML/TagReader/TagReader.bs
%attr(755,root,root) %{perl_vendorarch}/auto/HTML/TagReader/TagReader.so
%{_mandir}/man[13]/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-HTML-TagReader.spec,v $
Revision 1.3  2004/08/26 06:05:45  adamg
- updated to 1.08

Revision 1.2  2004/04/22 06:53:53  ankry
- license fixes and unification

Revision 1.1  2004/01/07 14:04:19  qboosh
- new

